## org.eclipse.emf.cdo.server
Class IStoreChunkReader.Chunk

    java.lang.Object
      org.eclipse.emf.cdo.server.IStoreChunkReader.Chunk

Enclosing interface:
  IStoreChunkReader

    public static class IStoreChunkReader.Chunk

extends java.lang.Object

Constructor Summary
`IStoreChunkReader.Chunk(int startIndex)`
`IStoreChunkReader.Chunk(int startIndex, int size)`

Method Summary
`void` `add(int indexInChunk, java.lang.Object value)`
`java.lang.Object` `get(int indexInChunk)`
`int` `getStartIndex()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IStoreChunkReader.Chunk

    public IStoreChunkReader.Chunk(int startIndex)

### IStoreChunkReader.Chunk

    public IStoreChunkReader.Chunk(int startIndex,
                                   int size)

Method Detail

### getStartIndex

    public int getStartIndex()

### size

    public int size()

### get

    public java.lang.Object get(int indexInChunk)

  Since:
    2.0

### add

    public void add(int indexInChunk,
                    java.lang.Object value)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.